Skip to main content
PUT
Replace the draft's contract

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

name
string
required

The API's name.

Pattern: ^[a-z][a-z0-9_]{1,62}$

Body

application/json

Replace the draft's contract. Columns must stay a subset of the source's.

contract
DataApiContract · object
required

What a version promises. Frozen once the version is published.

Response

Successful Response

version
integer
required
status
enum<string>
required

A version's lifecycle. Only draft can be edited.

Available options:
draft,
published,
retired
created_at
string<date-time>
required
contract
DataApiContract · object
required

What a version promises. Frozen once the version is published.

context_hash
string | null
created_by
string | null
published_by
string | null
published_at
string<date-time> | null
retired_at
string<date-time> | null
gaps
ContractGap · object[]